# Method: partners.channels.patch

> [!WARNING]
> Display \& Video 360 API v2 has sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v2/partners.channels/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v2/partners.channels/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v2/partners.channels/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v2/partners.channels/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v2/partners.channels/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v2/partners.channels/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v2/partners.channels/patch#try-it)

Updates a channel. Returns the updated channel if successful.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v2/partners/{partnerId}/channels/{channel.channelId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `channel.channelId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the channel. Assigned by the system. |
| Union parameter `owner`. Required. Identifies which DV360 entity owns the channel. `owner` can be only one of the following: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the created channel. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| Union parameter `owner`. Required. Identifies which DV360 entity owns the channel. `owner` can be only one of the following: ||
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the created channel. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.channels#Channel`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.channels#Channel`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).